/*
 * @Date: 2024-09-25 11:14:29
 * @LastEditors: shirlwang
 * @LastEditTime: 2025-12-23 17:40:11
 * @Description: 职业路径相关接口
 */
import request from '@/utilsRc/request'

// 获取当前职位
export function getCurrentPosition(query) {
  return request({
    url: '/jobPath/getJob',
    method: 'get',
    params: query,
    baseUrlType: 'zytp'
  })
}

// 获取路径列表
export function getPath(query) {
  return request({
    url: '/jobPath/getJobPathList',
    method: 'get',
    params: query,
    baseUrlType: 'zytp'
  })
}

// 获取路径详情
export function getPathDetail(query) {
  return request({
    url: '/jobPath/getJobPathById',
    method: 'get',
    params: query,
    baseUrlType: 'zytp'
  })
}
